For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • GETRetrieve employee payslips
LogoLogo
SupportDeel Home
EndpointsPayslips

Retrieve employee payslips

GET
/gp/workers/:id/payslips
GET
/rest/v2/gp/workers/:id/payslips
$curl https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "0dRZGn2ed49y",
5 "to": "2023-11-30",
6 "from": "2023-11-01",
7 "status": "AVAILABLE"
8 }
9 ]
10}

Returns the payslip history for a GP employee, including each payslip’s date range and status. Restricted to GP contract types. Each payslip in the response includes an id required by the payslip download endpoint. Token scopes: payslips:read

Was this page helpful?
Previous

Download gross to net report

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequiredformat: "uuid"
Unique identifier for the worker.

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/